Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface HibernateListenerDocument.HibernateListener

All Superinterfaces:
  Listener, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  HibernateListenerDocumentImpl.HibernateListenerImpl

Enclosing interface:
  HibernateListenerDocument

    public static interface HibernateListenerDocument.HibernateListener

extends Listener

An XML hibernate-listener(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `HibernateListenerDocument.HibernateListener.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`HibernateMessageFilterDocument.HibernateMessageFilter` | `addNewHibernateMessageFilter()` Appends and returns a new empty value (as xml) as the last "hibernate-message-filter" element
`HibernateMessageFilterDocument.HibernateMessageFilter[]` | `getHibernateMessageFilterArray()` Deprecated.
`HibernateMessageFilterDocument.HibernateMessageFilter` | `getHibernateMessageFilterArray(int i)` Gets ith "hibernate-message-filter" element
`java.util.List<HibernateMessageFilterDocument.HibernateMessageFilter>` | `getHibernateMessageFilterList()` Gets a List of "hibernate-message-filter" elements
`HibernateMessageFilterDocument.HibernateMessageFilter` | `insertNewHibernateMessageFilter(int i)` Inserts and returns a new empty value (as xml) as the ith "hibernate-message-filter" element
`void` | `removeHibernateMessageFilter(int i)` Removes the ith "hibernate-message-filter" element
`void` | `setHibernateMessageFilterArray(HibernateMessageFilterDocument.HibernateMessageFilter[] hibernateMessageFilterArray)` Sets array of all "hibernate-message-filter" element
`void` | `setHibernateMessageFilterArray(int i, HibernateMessageFilterDocument.HibernateMessageFilter hibernateMessageFilter)` Sets ith "hibernate-message-filter" element
`int` | `sizeOfHibernateMessageFilterArray()` Returns number of "hibernate-message-filter" element

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Listener
`addNewProperty, getBusidref, getIsGateway, getMaxThreads, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, isSetBusidref, isSetIsGateway, isSetMaxThreads, removeProperty, setBusidref, setIsGateway, setMaxThreads, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, unsetBusidref, unsetIsGateway, unsetMaxThreads, xgetBusidref, xgetIsGateway, xgetMaxThreads, xgetName, xsetBusidref, xsetIsGateway, xsetMaxThreads, xsetName`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getHibernateMessageFilterList

    java.util.List<HibernateMessageFilterDocument.HibernateMessageFilter> getHibernateMessageFilterList()

  Gets a List of "hibernate-message-filter" elements

### getHibernateMessageFilterArray

    HibernateMessageFilterDocument.HibernateMessageFilter[] getHibernateMessageFilterArray()

  Deprecated.

  Gets array of all "hibernate-message-filter" elements

### getHibernateMessageFilterArray

    HibernateMessageFilterDocument.HibernateMessageFilter getHibernateMessageFilterArray(int i)

  Gets ith "hibernate-message-filter" element

### sizeOfHibernateMessageFilterArray

    int sizeOfHibernateMessageFilterArray()

  Returns number of "hibernate-message-filter" element

### setHibernateMessageFilterArray

    void setHibernateMessageFilterArray(HibernateMessageFilterDocument.HibernateMessageFilter[] hibernateMessageFilterArray)

  Sets array of all "hibernate-message-filter" element

### setHibernateMessageFilterArray

    void setHibernateMessageFilterArray(int i,
                                        HibernateMessageFilterDocument.HibernateMessageFilter hibernateMessageFilter)

  Sets ith "hibernate-message-filter" element

### insertNewHibernateMessageFilter

    HibernateMessageFilterDocument.HibernateMessageFilter insertNewHibernateMessageFilter(int i)

  Inserts and returns a new empty value (as xml) as the ith "hibernate-message-filter" element

### addNewHibernateMessageFilter

    HibernateMessageFilterDocument.HibernateMessageFilter addNewHibernateMessageFilter()

  Appends and returns a new empty value (as xml) as the last "hibernate-message-filter" element

### removeHibernateMessageFilter

    void removeHibernateMessageFilter(int i)

  Removes the ith "hibernate-message-filter" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD